<%-- Kroly Pfaff - PFKIAAT.ELTE --%>
<%@ Page Language="C#" EnableSessionState="False" %>
<%@ Import Namespace="System" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>


<html>

<head>

  <!-- #Include File="include/header.inc" -->
  <script Language="C#" runat="server">
	///<summary>
	/// 	This method is called when the submit button is clicked 
	///</summary>
	public void Submit_Click(Object sender, EventArgs e)
	{
		string dataFile = "database/registration.xml";
		string uploadDirectory = "upload";
		// oh yes, this looks like error providing :O
		try
		{
			if ( Page.IsValid )
			{
				//datetime generates file name not a randomname
				//if file name exsists, generate a new one...
				//not the best, but it works and later I can use it for regtime too
				string controlledName = System.Convert.ToString(DateTime.Now.ToBinary());
                
				while ( File.Exists(Server.MapPath(uploadDirectory)+"\\"+controlledName) )
				{
					System.Threading.Thread.Sleep(5); // this was neccessary for me
					controlledName = System.Convert.ToString(DateTime.Now.ToBinary());
				}
				controlledName = controlledName.Substring(1);
				myFile.PostedFile.SaveAs(Server.MapPath(uploadDirectory)+"\\"+controlledName+".jpg");

				errorMessage.Text = "";
				FileStream myFileInputStream;

				myFileInputStream= new FileStream ( Server.MapPath(dataFile), FileMode.Open, FileAccess.Read, FileShare.ReadWrite );
				DataSet registrationData = new DataSet();

				registrationData.ReadXml(myFileInputStream);
				myFileInputStream.Close();

				DataRow newRow = registrationData.Tables[0].NewRow();

				newRow["Name"] = Name.Text;
				newRow["Address"] = Address.Text;
				newRow["Sport"] = Sport.Text;
				newRow["Mail"] = Mail.Text;
				newRow["Tel"] = Tel.Text;
				newRow["Picture"] = controlledName;
				newRow["Votes"] = "0";

				registrationData.Tables[0].Rows.Add(newRow);

				FileStream myFileOutputStream;
				myFileOutputStream = new FileStream ( Server.MapPath(dataFile), FileMode.Open, FileAccess.Write, FileShare.ReadWrite );

				registrationData.WriteXml(myFileOutputStream, XmlWriteMode.WriteSchema);
				myFileOutputStream.Close();

				// let's see how it works
				Server.Transfer("vote4winner.aspx");
			}
			// end of valid
		}
		catch (Exception exc)
        	{
           		//catch any other exception that occur 
			errorMessage.Text = "Cannot write to XML file because "+exc.ToString() ;
				
       		}
		// end of try-catch block
	}
	// end of function

  </script>
  <%-- after submit script --%>

</head>



<!-- #Include File="include/top.inc" -->

     <p>
	<asp:label id="errorMessage" text="" style="color:#FF0000" runat="server" />
	<br>
	<asp:Panel id="registrationFormPanel" runat="server">
	<form name="RegistrationForm" id="RegistrationForm" enctype="multipart/form-data" runat="server">
	<table border="0" cellpadding="0" cellspacing="0" align="center" width="650" align="center">
	  <tr>
	    <td>
		<table border="0" cellpadding="0" cellspacing="5" width="350">
		  <tr>
		    <td width="140">
			Gimme ur name:
			<asp:RequiredFieldValidator ControlToValidate=Name display=static runat=server>
			  <%-- required --%>*
			</asp:RequiredFieldValidator>
		    </td>
		    <td>
			<asp:textbox name="Name" id="Name" maxlength="50" text="" class="input" runat="server"/>
		    </td>
		  </tr>
		  <tr>
		    <td>
			What address:
			<asp:RequiredFieldValidator ControlToValidate=Address display=static runat=server>
			  <%-- required --%>*
			</asp:RequiredFieldValidator>
		    </td>
		    <td>
			<asp:textbox name="Address" id="Address" maxlength="70" text="" class="input" runat="server"/>
		    </td>
		  </tr>
		  <tr>
		    <td>
			Favorite sport:
			<asp:RequiredFieldValidator ControlToValidate=Sport display=static runat=server>
			  <%-- required --%>*
			</asp:RequiredFieldValidator>
		    </td>
		    <td>
			<asp:textbox name="Sport" id="Sport" maxlength="30" text="" class="input" runat="server"/>
		    </td>
		  </tr>
		  <tr>
		    <td>
			Can I call u:
			<asp:RequiredFieldValidator ControlToValidate=Tel display=static runat=server>
			  <%-- required --%>*
			</asp:RequiredFieldValidator>
		    </td>
		    <td>
			<asp:textbox name="Tel" id="Tel" maxlength="50" text="" class="input" runat="server"/>
		    </td>
		  </tr>
		  <tr>
		    <td>
			Can I mail u:
			<asp:RequiredFieldValidator ControlToValidate=Mail display=static runat=server>
			  <%-- required --%>*
			</asp:RequiredFieldValidator>
		    </td>
		    <td>
			<asp:textbox name="Mail" id="Mail" maxlength="50" text="" class="input" runat="server"/><br>
			<asp:RegularExpressionValidator ControlToValidate=Mail display=static runat=server ValidationExpression="\w+([-+\.]\w+)*@\w+([-.]\\w+)*\.\w+([-.]\w+)*">
			  &nbsp;&nbsp; Do not try to have us on...<br>
			</asp:RegularExpressionValidator>
		    </td>
		  </tr>
		  <tr>
		    <td colspan="2">
			<br>Send us a pic how do u look like: (*.jpg)
			<asp:RequiredFieldValidator ControlToValidate=myFile display=static runat=server>
			  <%-- required --%>*
			</asp:RequiredFieldValidator>
			<br>
			<input type="file" name="myFile" id="myFile" text="" class="upload" runat="server" onChange="javascript:document.images['picture'].src='file://'+this.value"><br>
			<asp:RegularExpressionValidator ControlToValidate=myFile display=static runat=server ValidationExpression="[a-zA-Z]:\\[^!?*]+(\.(jpg|JPG))">
			  Please a jpg, we don't have as much space...<br>
			</asp:RegularExpressionValidator>
		    </td>
		  </tr>
		</table>
	    </td>
	    <td>
		<table border="0" cellpadding="0" cellspacing="5" align="center" width="300">
		  <tr>
		    <td>
			<p align="right">
			<img src="images/nopic.jpg" name="picture" id="picture" class="picture" width="200" height="200" runat="server" />
			</p>
		    </td>
		  </tr>
		</table>
	    </td>
	  </tr>
	  <tr>
	    <td colspan="2">
		<br><br><br>
		<p align="right">
			  <asp:button name="write" id="write" text="Send form to us" onClick="Submit_Click" runat="server"/><br>
		</p>
	    </td>
	  </tr>
	</table>
	</form>
	</asp:Panel>


     </p>

<!-- #Include File="include/bottom.inc" -->

</html>
