<%-- Kroly Pfaff - PFKIAAT.ELTE --%>
<%@ Page Language="C#" EnableSessionState="False" %>
<%@ Import Namespace="System" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Data" %>


<html>

<head>

  <!-- #Include File="include/header.inc" -->

  <script language="C#" runat=server>

	//run the script when the Page is Loaded
	public void Page_Load(Object sender, EventArgs e)
	{
		// following was neccessary, because asp:button does not provide repeater
		// I looked for it at msdn, a typical error... I sucked with this one hour long
		if (!IsPostBack)
		{
			string dataFile = "database/registration.xml";
			//try-Catch block to read from an XML file  
			try
			{	
				DataSet applicantData = new DataSet();
				FileStream myFileInputStream;

				myFileInputStream = new FileStream(Server.MapPath(dataFile), FileMode.Open, FileAccess.Read, FileShare.ReadWrite);

				applicantData.ReadXml(myFileInputStream);
				myFileInputStream.Close();

				//Databind the first table in the Dataset to the Repeater
				myDataList.DataSource = applicantData.Tables[0].DefaultView;
				myDataList.DataBind();
			}
			catch (Exception exc)
			{
				//catch any other exceptions that occur
				errorMessage.Text = "Cannot read from XML file because " + exc.ToString();
			}
		}
	}

	// called when a vote is submitted
	public void Submit_Click(Object sender, EventArgs e)
	{
		string dataFile = "database/registration.xml";
		//try-Catch block to read from an XML file  
		try
		{
			if ( Page.IsValid )
			{
				int index = Convert.ToInt32(((Button)sender).ClientID.Substring(14,2))-1;
				errorMessage.Text = "";
				DataSet applicantData = new DataSet();
				FileStream myFileInputStream;

				myFileInputStream = new FileStream(Server.MapPath(dataFile), FileMode.Open, FileAccess.Read, FileShare.ReadWrite);

				applicantData.ReadXml(myFileInputStream);
				myFileInputStream.Close();

				applicantData.Tables[0].Rows[index]["Votes"] = System.Convert.ToInt32(applicantData.Tables[0].Rows[index]["Votes"]) + 1;

				FileStream myFileOutputStream;
				myFileOutputStream = new FileStream(Server.MapPath(dataFile), FileMode.Open, FileAccess.Write, FileShare.ReadWrite);

				applicantData.WriteXml(myFileOutputStream, XmlWriteMode.WriteSchema);
				myFileOutputStream.Close();

                myDataList.DataSource = applicantData.Tables[0].DefaultView;
                myDataList.DataBind();
			}
		}
		catch (Exception exc)
		{
			//catch any other exceptions that occur
			errorMessage.Text = "Cannot read from XML file because " + exc.ToString();
		}
	}

  </script>
</head>



<!-- #Include File="include/top.inc" -->

     <p>
     <asp:label id="errorMessage" text="" style="color:#FF0000" runat="server" />
     <br><br>

     <form name="ApplicantForm" id="ApplicantForm" runat="server">
	<ASP:Repeater id="myDataList" runat="server">

	  <headertemplate>
		<table border="0" cellpadding="0" cellspacing="0" align="center" width="700">
	  </headertemplate>

	  <itemtemplate>
	  <%-- each item looks like these --%>

		  <tr>
		    <td>
			<table border="0" cellpadding="0" cellspacing="0" align="center" width="200">
			  <tr>
			    <td colspan="2">
				<center>
				<img src=<%# "upload/" + DataBinder.Eval(Container.DataItem, "Picture") + ".jpg" %> width="128" height="128" class="picture"><br><br>
				</center>
			    </td>
			    <td rowspan="2" width="50">
			    </td>
			  </tr>
			  <tr>
			    <td width="60">
				votes: <%# DataBinder.Eval(Container.DataItem, "Votes") %>
			    </td>
			    <td>
				<div align="right">
					<asp:button text="add one" onClick="Submit_Click" style="width:70px; height=20px" runat="server" /><br>
				</div>
			    </td>
			  </tr>
			  <tr height="30">
			    <td colspan="2"></td>
			  </tr>
			</table>
		    </td>
		    <td>
			<table border="0" cellpadding="0" cellspacing="5" width="490">
			  <tr>
			    <td class="underlined" width="190">
				<span class="bolder"><span class="title">
				You can call me:
			    </td>
			    <td class="underlined">
				<span class="bolder"><span class="title">
				<%# DataBinder.Eval(Container.DataItem, "Name") %>
			    </td>
			  </tr>
			  <tr>
			    <td class="bolder">
				I live at:
			    </td>
			    <td>
				<%# DataBinder.Eval(Container.DataItem, "Address") %>
			    </td>
			  </tr>
			  <tr>
			    <td class="bolder">
				I like theese:
			    </td>
			    <td>
				<%# DataBinder.Eval(Container.DataItem, "Sport") %>
			    </td>
			  </tr>
			  <tr>
			    <td class="bolder">
				U can mail me:
			    </td>
			    <td>
				<a href="pfaff@elte.hu"><%# DataBinder.Eval(Container.DataItem, "Mail") %></a>
			    </td>
			  </tr>
			  <tr>
			    <td class="bolder">
				U can call me:
			    </td>
			    <td>
				<%# DataBinder.Eval(Container.DataItem, "Tel") %>
			    </td>
			  </tr>
			</table>
		    </td>
		  </tr>

	  <%-- until this line --%>
	  </itemtemplate>

	  <footertemplate>
		</table>
	  </footertemplate>

	</ASP:Repeater>
	</form>
     </p>

<!-- #Include File="include/bottom.inc" -->

</html>
